# api\_procedures\_configureDividendDistribution.ConfigureDividendDistributionParams

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/procedures/configureDividendDistribution](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_configuredividenddistribution.md) / ConfigureDividendDistributionParams

## Interface: ConfigureDividendDistributionParams

[api/procedures/configureDividendDistribution](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_configuredividenddistribution.md).ConfigureDividendDistributionParams

### Table of contents

#### Properties

* [checkpoint](#checkpoint)
* [currency](#currency)
* [declarationDate](#declarationdate)
* [defaultTaxWithholding](#defaulttaxwithholding)
* [description](#description)
* [expiryDate](#expirydate)
* [maxAmount](#maxamount)
* [originPortfolio](#originportfolio)
* [paymentDate](#paymentdate)
* [perShare](#pershare)
* [targets](#targets)
* [taxWithholdings](#taxwithholdings)

### Properties

#### checkpoint

• **checkpoint**: [`InputCaCheckpoint`](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_checkpoints_types.md#inputcacheckpoint)

checkpoint to be used to calculate Dividends. If a Schedule is passed, the next Checkpoint it creates will be used. If a Date is passed, a Checkpoint will be created at that date and used

**Defined in**

[api/procedures/configureDividendDistribution.ts:93](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L93)

***

#### currency

• **currency**: `string`

ticker of the currency in which Dividends will be distributed

**Defined in**

[api/procedures/configureDividendDistribution.ts:101](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L101)

***

#### declarationDate

• `Optional` **declarationDate**: `Date`

date at which the issuer publicly declared the Dividend Distribution. Optional, defaults to the current date

**Defined in**

[api/procedures/configureDividendDistribution.ts:72](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L72)

***

#### defaultTaxWithholding

• `Optional` **defaultTaxWithholding**: `BigNumber`

default percentage (0-100) of the Benefits to be held for tax purposes

**Defined in**

[api/procedures/configureDividendDistribution.ts:83](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L83)

***

#### description

• **description**: `string`

**Defined in**

[api/procedures/configureDividendDistribution.ts:73](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L73)

***

#### expiryDate

• `Optional` **expiryDate**: `Date`

optional, defaults to never expiring

**Defined in**

[api/procedures/configureDividendDistribution.ts:117](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L117)

***

#### maxAmount

• **maxAmount**: `BigNumber`

maximum amount of `currency` to distribute in total

**Defined in**

[api/procedures/configureDividendDistribution.ts:109](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L109)

***

#### originPortfolio

• `Optional` **originPortfolio**: `BigNumber` | [`NumberedPortfolio`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_numberedportfolio.numberedportfolio.md)

portfolio from which the Dividends will be distributed. Optional, defaults to the Dividend Distributions Agent's Default Portfolio

**Defined in**

[api/procedures/configureDividendDistribution.ts:97](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L97)

***

#### paymentDate

• **paymentDate**: `Date`

date from which Asset Holders can claim their Dividends

**Defined in**

[api/procedures/configureDividendDistribution.ts:113](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L113)

***

#### perShare

• **perShare**: `BigNumber`

amount of `currency` to distribute per each share of the Asset that a target holds

**Defined in**

[api/procedures/configureDividendDistribution.ts:105](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L105)

***

#### targets

• `Optional` **targets**: [`InputCorporateActionTargets`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#inputcorporateactiontargets)

Asset Holder Identities to be included (or excluded) from the Dividend Distribution. Inclusion/exclusion is controlled by the `treatment` property. When the value is `Include`, all Asset Holders not present in the array are excluded, and vice-versa. If no value is passed, the default value for the Asset is used. If there is no default value, all Asset Holders will be part of the Dividend Distribution

**Defined in**

[api/procedures/configureDividendDistribution.ts:79](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L79)

***

#### taxWithholdings

• `Optional` **taxWithholdings**: [`InputCorporateActionTaxWithholdings`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#inputcorporateactiontaxwithholdings)

percentage (0-100) of the Benefits to be held for tax purposes from individual Asset Holder Identities. This overrides the value of `defaultTaxWithholding`

**Defined in**

[api/procedures/configureDividendDistribution.ts:88](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/configureDividendDistribution.ts#L88)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_configuredividenddistribution.configuredividenddistributionparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
